#pragma once
#include "P15File.h"
#include "byteBuffer.h"

class CP15CDF :
	public CP15File
{
public:
	CP15CDF(void);
	~CP15CDF(void);
	CP15CDF(CSlot &slot);

	// Método para codificar una cadena de bytes y convertirla a formato ASN1
	int EncodeASN1( CPKCS11Object *pObj11 );
	int EncodeASN1( CPKCS11Object *pObj11, byteBuffer & efEncoded );

	// Método para pasar los certificados a P11
	int DecodeObject(byteBuffer & cdfEntry);
};
